## ros-indigo-cob-phidget-em-state 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_phidget_em_state)

find_package(catkin REQUIRED COMPONENTS)

catkin_package()

install(PROGRAMS scripts/em_state_phidget.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/src
)

=== debian/changelog ===
ros-indigo-cob-phidget-em-state (0.6.12-0trusty) trusty; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-phidget-em-state (0.6.11-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-phidget-em-state (0.6.10-0trusty) trusty; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-indigo-cob-phidget-em-state (0.6.9-0trusty) trusty; urgency=high

  * send em_state only if data from phidget received
  * Contributors: Benjamin Maidel

 -- Benjamin Maidel <bnm@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-phidget-em-state (0.6.8-0trusty) trusty; urgency=high

  * fix
  * use values from message
  * fixed syntax error
  * fixed conditions
  * new package to calculate em state from phidgets digital input
  * Contributors: Benjamin Maidel

 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-phidget-em-state (0.6.3-0trusty) trusty; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-phidget-em-state (0.6.2-0trusty) trusty; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-phidget-em-state (0.6.1-0trusty) trusty; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-indigo-cob-phidget-em-state (0.6.0-0trusty) trusty; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-indigo-cob-phidget-em-state (0.5.7-0trusty) trusty; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Tue, 26 Aug 2014 07:47:00 -0000

ros-indigo-cob-phidget-em-state (0.5.6-0trusty) trusty; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Tue, 26 Aug 2014 07:42:00 -0000

ros-indigo-cob-phidget-em-state (0.5.5-0trusty) trusty; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Tue, 26 Aug 2014 06:33:00 -0000

ros-indigo-cob-phidget-em-state (0.5.4-0trusty) trusty; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sun, 24 Aug 2014 22:00:00 -0000

ros-indigo-cob-phidget-em-state (0.5.3-0trusty) trusty; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-indigo-cob-phidget-em-state (0.5.2-0trusty) trusty; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Thu, 20 Mar 2014 23:00:00 -0000

ros-indigo-cob-phidget-em-state (0.5.1-0trusty) trusty; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Thu, 20 Mar 2014 09:54:00 -0000

=== debian/control ===
Source: ros-indigo-cob-phidget-em-state
Section: misc
Priority: extra
Maintainer: Benjamin Maidel <benjamin.maidel@mojin-robotics.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-cob-phidget-em-state
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cob-msgs, ros-indigo-cob-phidgets, ros-indigo-rospy
Description: The cob_phidget_em_state package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-phidget-em-state//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
